org.objenesis.instantiator

## Interface ObjectInstantiator<T>

- All Known Implementing Classes:
    AccessibleInstantiator, Android10Instantiator, Android17Instantiator, Android18Instantiator, AndroidSerializationInstantiator, ConstructorInstantiator, FailingInstantiator, GCJInstantiator, GCJInstantiatorBase, GCJSerializationInstantiator, JRockitLegacyInstantiator, MagicInstantiator, NewInstanceInstantiator, NullInstantiator, ObjectInputStreamInstantiator, ObjectStreamClassInstantiator, PercInstantiator, PercSerializationInstantiator, ProxyingInstantiator, SunReflectionFactoryInstantiator, SunReflectionFactorySerializationInstantiator, UnsafeFactoryInstantiator

      public interface ObjectInstantiator<T>

  Instantiates a new object.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `newInstance()` Returns a new instance of an object.

- - ### Method Detail

    - #### newInstance

          T newInstance()

      Returns a new instance of an object. The returned object's class is defined by the implementation.
      Returns:
        A new instance of an object.